Pular para o conteúdo

Os textos jurídicos em vigor da plataforma (condições de uso, privacidade, DPA e anexos, termos para desenvolvedores)

GET
/v1/legal
curl --request GET \
--url 'https://api.vimine.network/v1/legal?locale=it'

Uma entrada por tipo e idioma, em vigor hoje. ?all=1 adiciona o arquivo das versões anteriores; ?locale=it|en limita os idiomas.

locale

Só este idioma

string
Valores permitidos: it en zh-Hans zh-Hant fr es de pt-BR
all

1 para incluir as versões anteriores

string

Documentos

Tipo de mídiaapplication/json
object
documents
obrigatório
Array<object>
object
uid
string formato: uuid
kind
obrigatório

Tipo de documento (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
obrigatório
string
Valores permitidos: it en zh-Hans zh-Hant fr es de pt-BR
version
obrigatório

Rótulo da versão (1.0, 1.1, …)

string
title
obrigatório
string
summary

O que mudou nesta versão

string
nullable
effective_from
string formato: date-time
nullable
retired_at
string formato: date-time
nullable
sha256

SHA-256 do corpo canônico do modelo

string
nullable
current
obrigatório

Esta é a versão em vigor do tipo no seu idioma

boolean
requires_reacceptance
boolean
archive

Versões anteriores (com ?all=1)

Array<object>
object
uid
string formato: uuid
kind
obrigatório

Tipo de documento (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
obrigatório
string
Valores permitidos: it en zh-Hans zh-Hant fr es de pt-BR
version
obrigatório

Rótulo da versão (1.0, 1.1, …)

string
title
obrigatório
string
summary

O que mudou nesta versão

string
nullable
effective_from
string formato: date-time
nullable
retired_at
string formato: date-time
nullable
sha256

SHA-256 do corpo canônico do modelo

string
nullable
current
obrigatório

Esta é a versão em vigor do tipo no seu idioma

boolean
requires_reacceptance
boolean
Exemplo
{
"documents": [
{
"locale": "it"
}
],
"archive": [
{
"locale": "it"
}
]
}

Requisição inválida

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Não encontrado

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Limite de requisições excedido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erro interno

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}